package com.dev.swms.server.model.count;

import com.dev.swms.server.model.base.Location;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;

public class CountDetailLocation extends CountDetail {
	/** 盘点库位 */
	private Location location;
	
	public Location getLocation() {
		return location;
	}
	public void setLocation(Location location) {
		this.location = location;
	}

	public boolean equals(final Object other) {
		if (!(other instanceof CountDetailLocation))
			return false;
		CountDetailLocation castOther = (CountDetailLocation) other;
		return new EqualsBuilder().appendSuper(super.equals(other)).append(
				location, castOther.getLocation()).isEquals();
	}
	public int hashCode() {
		return new HashCodeBuilder().appendSuper(super.hashCode()).append(
				location).toHashCode();
	}

}
